﻿/*.kt-aside-menu .kt-menu__nav > .kt-menu__item.settings-menu-item,
.kt-aside-menu .kt-menu__nav > .kt-menu__item.monitoring-menu-item {
    margin: 20px 0 0 0;
}*/

:root {
    --dark-grey-color: #E0E0E0;
    --light-grey-color: #F5F5F5;
    --dark-font-color: #424242;
    --table-border-color: #CECECE;
    --border-radius: 0.5rem;
}

.kt-aside {
    width: 205px;
}

@media(min-width: 1025px) {
    .kt-aside--fixed .kt-wrapper {
        padding-left: 205px;
    }

    .kt-aside--enabled.kt-subheader--fixed .kt-subheader {
        left: 205px;
    }

    .kt-header--fixed.kt-aside--static .kt-aside__brand {
        width: 205px;
    }

    .kt-aside--enabled .kt-header.kt-header--fixed {
        left: 205px;
    }

    .kt-aside--minimizing .kt-aside .kt-aside-menu .kt-menu__nav {
        width: 205px;
    }

    .kt-aside--fixed.kt-aside--minimize-hover .kt-aside {
        width: 205px;
    }

    .kt-footer--fixed .kt-footer {
        left: 205px;
    }

    .kt-header--fixed.kt-aside--minimize .kt-header {
        left: 70px;
    }
}


.status-Passed {
    color: #109610; /*green*/
}

.status-Failed {
    color: #D32E2E; /*red*/
}

.status-PageNotFound {
    color: #ADA327; /*yellow*/
}

.status-Interrupted {
    color: #8c8c8c; /*Gray*/
}

.status-ServerError {
    color: #D32E2E; /*red*/
}

.status-Invalid {
    color: #ADA327; /*yellow*/
}

.status-Running {
    color: #ADA327; /*yellow*/
}

.fa-ie:before {
    font-family: "Font Awesome 5 Brands";
    content: "\f26b";
}

@keyframes highlight {
    0% {
        background: #ffff99;
    }

    100% {
        background: none;
    }
}

.highlight {
    animation: highlight 2s;
}

table.table-brand,
.dataTables_wrapper .table-brand.dataTable,
table.table-brand-sm,
.dataTables_wrapper .table-brand-sm.dataTable {
    font-family: Poppins;
    font-size: 14px;
    border-collapse: separate;
    border-spacing: 0;
}

    table.table-brand > thead,
    .dataTables_wrapper .table-brand.dataTable > thead,
    table.table-brand-sm > thead,
    .dataTables_wrapper .table-brand-sm.dataTable > thead {
        font-weight: 500;
    }

    table.table-brand thead th,
    .dataTables_wrapper .table-brand.dataTable th {
        padding: 1.3em 0 1.3em 0.2em;
        color: var(--dark-font-color);
        background: var(--dark-grey-color);
        border-width: 1px 0 1px 0px;
        border-style: solid;
        border-color: var(--table-border-color);
    }

        table.table-brand thead th:first-child,
        .dataTables_wrapper .table-brand.dataTable th:first-child,
        table.table-brand tbody tr td:first-child,
        .dataTables_wrapper .table-brand.dataTable tbody tr td:first-child {
            padding: 1.3em 0 1.3em 1.3em;
        }

        table.table-brand thead th:first-child,
        .dataTables_wrapper .table-brand.dataTable th:first-child,
        table.table-brand-sm thead th:first-child,
        .dataTables_wrapper .table-brand-sm.dataTable th:first-child {
            border-radius: var(--border-radius) 0 0 0;
        }

        table.table-brand thead th:last-child,
        .dataTables_wrapper .table-brand.dataTable th:last-child,
        table.table-brand-sm thead th:last-child,
        .dataTables_wrapper .table-brand-sm.dataTable th:last-child {
            border-radius: 0 var(--border-radius) 0 0;
        }

    table.table-brand tbody,
    table.table-brand-sm tbody {
        font-weight: normal;
    }

        table.table-brand tbody td:not(.expanded-details),
        .dataTables_wrapper .table-brand.dataTable tbody td:not(.expanded-details) {
            padding: 1em 0 1em 0.2em;
            color: var(--dark-font-color);
            border-top: 1px solid var(--table-border-color);
            word-wrap: break-word;
            vertical-align: middle;
        }

        table.table-brand tbody tr.expanded,
        table.table-brand-sm tbody tr.expanded {
            background: var(--light-grey-color);
        }

        table.table-brand tbody tr.expanded-details,
        table.table-brand-sm tbody tr.expanded-details {
            background: transparent;
        }

        table.table-brand tbody td.expanded-details,
        .dataTables_wrapper .table-brand.dataTable td.expanded-details,
        table.table-brand-sm tbody td.expanded-details,
        .dataTables_wrapper .table-brand-sm.dataTable td.expanded-details {
            padding: 1em;
            word-wrap: break-word;
        }

        table.table-brand tbody td:first-child,
        .dataTables_wrapper .table-brand.dataTable td:first-child,
        table.table-brand-sm tbody td:first-child,
        .dataTables_wrapper .table-brand-sm.dataTable td:first-child {
            border-left: 1px solid var(--table-border-color);
        }

        table.table-brand tbody td:last-child,
        .dataTables_wrapper .table-brand.dataTable td:last-child,
        table.table-brand-sm tbody td:last-child,
        .dataTables_wrapper .table-brand-sm.dataTable td:last-child {
            border-right: 1px solid var(--table-border-color);
        }

        table.table-brand tbody tr:last-child td:not(.expanded-details),
        .dataTables_wrapper .table-brand.dataTable tbody tr:last-child td:not(.expanded-details),
        table.table-brand-sm tbody tr:last-child td:not(.expanded-details),
        .dataTables_wrapper .table-brand-sm.dataTable tbody tr:last-child td:not(.expanded-details) {
            border-bottom: 1px solid var(--table-border-color);
        }

        table.table-brand tbody tr:last-child td:first-child,
        .dataTables_wrapper .table-brand.dataTable tr:last-child td:first-child,
        table.table-brand-sm tbody tr:last-child td:first-child,
        .dataTables_wrapper .table-brand-sm.dataTable tr:last-child td:first-child {
            border-radius: 0 0 0 var(--border-radius);
        }

        table.table-brand tbody tr:last-child td:last-child,
        .dataTables_wrapper .table-brand.dataTable tr:last-child td:last-child,
        table.table-brand-sm tbody tr:last-child td:last-child,
        .dataTables_wrapper .table-brand-sm.dataTable tr:last-child td:last-child {
            border-radius: 0 0 var(--border-radius) 0;
        }

    table.table-brand-sm thead th,
    .dataTables_wrapper .table-brand-sm.dataTable th {
        padding: 1em 0 1em 0.2em;
        color: var(--dark-font-color);
        background: var(--dark-grey-color);
        border-width: 1px 0 1px 0px;
        border-style: solid;
        border-color: var(--table-border-color);
    }

        table.table-brand-sm thead th:first-child,
        .dataTables_wrapper .table-brand-sm.dataTable th:first-child,
        table.table-brand-sm tbody tr td:first-child,
        .dataTables_wrapper .table-brand-sm.dataTable tbody tr td:first-child {
            padding: 1em 0 1em 1em;
        }

    table.table-brand-sm tbody td:not(.expanded-details),
    .dataTables_wrapper .table-brand-sm.dataTable tbody td:not(.expanded-details) {
        padding: 0.5em 0 0.5em 0.2em;
        color: var(--dark-font-color);
        border-top: 1px solid var(--table-border-color);
        word-wrap: break-word;
        vertical-align: middle;
    }


.bg-dark-grey {
    background: var(--dark-grey-color);
}

.bg-light-grey {
    background: var(--light-grey-color);
}

.br-default {
    border-radius: var(--border-radius);
}

.br-tl-default {
    border-top-left-radius: var(--border-radius);
}

.br-tr-default {
    border-top-right-radius: var(--border-radius);
}

.br-bl-default {
    border-bottom-left-radius: var(--border-radius);
}

.br-br-default {
    border-bottom-right-radius: var(--border-radius);
}

.results-card {
    min-height: 6em;
    text-align: center;
}

.results-card-context {
    font-size: 1.5em;
    font-weight: 500;
    line-height: 28px;
}

.results-card-icon {
    border-radius: var(--border-radius) 0px 0px var(--border-radius);
}

.results-card-icon, .results-card-content {
    min-height: 5.5em;
    padding: 2.5em;
    border: 1px solid var(--table-border-color);
}

.results-card-content {
    /*background: white;*/
    padding: 1.2em 0;
    color: var(--dark-font-color);
    border-radius: 0 var(--border-radius) var(--border-radius) 0;
}

.box-shadow {
    box-shadow: 0px 0px 13px 0px rgba(82, 63, 105, 0.05);
}